# $Revision: 1.31 $, $Date: 2011/11/28 09:14:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GnuPG
%define		pnam	Interface
Summary:	GnuPG::Interface - Perl interface to GnuPG
Summary(pl.UTF-8):	GnuPG::Interface - perlowy interfejs do GnuPG
Name:		perl-GnuPG-Interface
Version:	0.45
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GnuPG/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a53d2ed82d4953b60645fc7b4a1cd182
URL:		http://search.cpan.org/dist/GnuPG-Interface/
BuildRequires:	gnupg
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-MethodMaker
BuildRequires:	perl-Moose
%endif
# not recognized by perl.req
Requires:	perl-Class-MethodMaker
Requires:	perl-Mouse
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnuPG::Interface and its associated modules are designed to provide an
object-oriented method for interacting with GnuPG, being able to
perform functions such as but not limited to encrypting, signing,
decryption, verification, and key-listing parsing.

%description -l pl.UTF-8
GnuPG::Interface i powiązane moduły powstały, by udostępnić obiektowo
zorientowany sposób na interakcję z GnuPG. Moduły mogą wykonywać
funkcje takie jak szyfrowanie, podpisywanie, odszyfrowywanie,
weryfikację, analizę list kluczy i inne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:TEST_SHARED_MEMORY=1 TEST_FILE_CACHE=1 %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/%{pdir}/%{pnam}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README THANKS MANIFEST
%{perl_vendorlib}/GnuPG/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GnuPG-Interface.spec,v $
Revision 1.31  2011/11/28 09:14:20  arekm
- up to 0.45

Revision 1.30  2009/12/13 22:48:16  mmazur
- won't import correctly without perl-Mouse present; added to R:
- rel 2; stbr

Revision 1.29  2009/10/20 09:56:44  amateja
- updated to 0.42

Revision 1.28  2008/04/05 18:04:40  qboosh
- generic URL, pl fix

Revision 1.27  2008-04-02 08:33:21  arekm
- up to 0.36

Revision 1.26  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.24  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.23  2004/11/03 22:30:24  paladine
- formatting

Revision 1.22  2004/08/24 15:16:57  radek
- release 8: R: perl-Class-MethodMaker

Revision 1.21  2004/08/01 22:59:22  ankry
- added missing dir, rel. 7

Revision 1.20  2004/05/07 01:24:06  ankry
- rel. 6

Revision 1.19  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 00:50:55  ankry
- cosmetics: unification

Revision 1.17  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.16  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.15  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.14  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.13  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.12  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:32:46  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/10/17 13:23:03  qboosh
- longer descriptions, removed bogus URL, release 4

Revision 1.4  2002/10/16 13:07:56  ankry
- fixed dependencies

Revision 1.3  2002/10/15 11:55:32  qboosh
- typo, release 3

Revision 1.2  2002/10/14 23:26:24  tjbynum
- proper version with all needed stuff.

Revision 1.1  2002/10/14 20:59:04  tjbynum
- important perl module, STBR ASAP.
